#
# Example script for predefined light sequences.
#
#  Compile with:
#     cmdforge -eeprom eeprom.txt out.bin
#
#  Under BASH, this can be sent to the device with:
#    cmdforge -eeprom eeprom.cmd > /dev/udp/lighbulb/8889
#
# To program the EEPROM, the image must be sent within 10 seconds of the
# device having acquired an IP address and ran :pdStart.  The output will
# turn orange when programming starts, and green when complete.  If the
# command sequence looks invalid for any reason, the output will turn red.
# Anything received on port 8889 outside the 10 second window will be ignored
# with no change to the light output.
#

:pdPost
c 0 255 000 000
delayms 333
c 0 000 255 000
delayms 333
c 0 000 000 255
delayms 333
c 0 000 000 000
stop

:pdEthUp
c 0 000 255 000
stop

:pdEthDown
c 200 000 063 000
c 300 000 000 000
stop

:pdDhcpStart
c 0 000 255 000
stop

:pdDhcpConfigured
c 160 255 000 000 /* red */
c 160 255 136 000 /* orange */
c 160 255 255 000 /* yellow */
c 160 000 255 000 /* green */
c 160 000 000 255 /* blue */
c 160 100 000 255 /* indigo */
c 160 255 000 100 /* magenta */
c 160 000 000 000
stop

:pdAutoIpStart
c 0 255 255 0
stop

:pdAutoIpConfigured
c 160 255 000 100 /* magenta */
c 160 100 000 255 /* indigo */
c 160 000 000 255 /* blue */
c 160 000 255 000 /* green */
c 160 255 255 000 /* yellow */
c 160 255 136 000 /* orange */
c 160 255 000 000 /* red */
c 160 000 000 000
stop

:pdStart
fetch http://ccgi.mm7323.free-online.co.uk/cgi-bin/weather.sh?1
:pdStartFailedLoop
c   0 000 000 000
c 500 255 000 000
c 500 000 000 000
jump :pdStartFailedLoop
stop

# END OF SCRIPT
